Summary:	Applet that displays HDD and CPU temperature
Name:		gai-temp
Version:	0.1.1
Release: 9
Source0:	http://leidola.newcon.de/daten/gai-temp/%{name}-%{version}.tar.gz
URL:		http://leidola.newcon.de/projekte/gai-temp/gai-temp-en.html
License:	GPL+
Group:		User Interface/Desktops
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:     gai-temp-0.1.1-gerror.patch
Patch1:     gai-temp-0.1.1-glib-gobject-critical.patch
BuildRequires: gai-devel

%description
Applet that displays hard disk drive and processor temperatures.
It uses the General Applet Interface (GAI).


%prep
%setup -q
%patch0 -p1 -b .gerror
%patch1 -p1 -b .glib-gobject-critical


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README README.gai TODO
%{_bindir}/gai-temp
%{_libdir}/bonobo/servers/*.server
%{_datadir}/pixmaps/*


%changelog
* Fri Feb 08 2008 Michael Schwendt <mschwendt@fedoraproject.org>
- rebuilt for GCC 4.3 as requested by Fedora Release Engineering

* Mon Aug 20 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 0.1.1-8
- Patch GError and GObject issues.

* Thu Aug  2 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 0.1.1-7
- Clarify licence (GPL+).

* Sun Jan  7 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 0.1.1-6
- rebuilt with updated summary and description

* Tue Sep 05 2006 Michael Schwendt <mschwendt@fedoraproject.org>
- rebuilt

* Wed Feb 15 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 0.1.1-4
- rebuilt for FC5

* Wed Aug 17 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 0.1.1-3
- rebuilt

* Tue Jun 28 2005 Michael Schwendt <mschwendt@fedoraproject.org>
- remove work-around from 0.1.1-2 again, bug has been fixed

* Mon Jun 27 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 0.1.1-2
- temporarily add BR libpng-devel to work around a broken
  cairo-devel package, which is pulled in and breaks the pkg-config
  dependency chain (#161688)

* Mon Jun 27 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 0.1.1-1
- Update to 0.1.1 where upstream merged the four patches.

* Tue Jun 21 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 0.1.0-1
- Initial build for Fedora Extras.
- Add patches for no-strip, preferences-segfault, cflags, libdir.

